<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>SI-BKD Admin Perguruan Tinggi</title>
</head>
<body>

<div layout:fragment="main" class="container">

    <div class="row justify-content-center">
        <div class="col-md-10">
            <div th:if="${success != null}" class="alert alert-success" role="alert">
                <span th:text="${success}"></span>
            </div>

            <div class="row mb-4">
                <div class="col-md-8">
                    <h3 class="text-black">Daftar Admin Perguruan Tinggi</h3>
                </div>
                <div class="col-md-4 justify-content-end" align="right">
                    <a class="btn btn-outline-success pull-right" th:href="@{/admin_perguruan_tinggi/baru}">+ Tambah Admin</a>
                </div>
            </div>
            <form method="get">
            <div class="row mb-4">
                <div class="col-md-11">
                    <input type="text" name="search" th:value="${search}" class="form-control" placeholder="Cari pengguna berdasarkan nama, email atau perguruan tinggi" aria-label="First name">
                </div>
                <div class="col-md-1 d-grid gap-2">
                    <button class="btn btn-success">Cari</button>
                </div>
            </div>
        </form>
            <div class="row mb-5">
                <div class="col-md-12 table-responsive">
                    <table class="table table-striped table-responsive mb-3">
                        <thead class="table-dark bg-success" style="--bs-table-bg:bg-success;">
                        <tr>
                            <th class="p-3">No</th>
                            <th class="p-3">Nama Lengkap</th>
                            <th class="p-3">Email</th>
                            <th class="p-3">Perguruan Tinggi</th>
                            <th class="p-3"></th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr th:each="data,row : ${list}">
                            <td class="align-middle" th:text="${(row.index + 1) + (list.number * list.size)}">1</td>
                            <td class="align-middle" th:text="${data.nama}">Adi Mulya Suprayogi</td>
                            <td class="align-middle" th:text="${data.email}">suprayogi20@gmail.com</td>
                            <td class="align-middle" th:text="${data.perguruanTinggi.namaPerguruanTinggi}">Institut Agama Islam Tazkia</td>
                            <!--                                <td class="align-middle" width="5px">-->
                            <!--                                    <a class="btn btn-success">Detail</a>-->
                            <!--                                </td>-->
                            <td class="align-middle" width="5px">
                                <a class="btn btn-warning" th:href="@{/admin_perguruan_tinggi/baru (id = ${data.id})}">Edit</a>
                            </td>
                        </tr>

                        </tbody>
                    </table>
                    <nav>
                        <ul class="pagination" sd:pagination="full">
                            <!-- Pagination created by SpringDataDialect, this content is just for mockup -->
                            <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>
                            <li class="active bg-success"><a href="#">1 <span class="sr-only">(current)</span></a></li>
                        </ul>
                    </nav>
                </div>
            </div>

        </div>
    </div>
</div>
</body>
</html>